%define upstream_name    LaTeX-Encode
%define upstream_version 0.092.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Encode LaTeX special chars for typesetting
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/LaTeX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp::Always)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(Pod::LaTeX)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Readonly)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module provides a function to encode text that is to be formatted with
LaTeX. It encodes characters that are special to LaTeX or that are
represented in LaTeX by LaTeX commands.

The special characters are: '\' (command character), '{' (open group), '}'
(end group), '&' (table column separator), '#' (parameter specifier), '%'
(comment character), '_' (subscript), '^' (superscript), '~' (non-breakable
space), '$' (mathematics mode).

Note that some of the LaTeX commands for characters are defined in the
LaTeX 'textcomp' package. If your text includes such characters, you will
need to include the following lines in the preamble to your LaTeX document.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README TODO
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.92.0-6.mga10
+ Revision: 2208448
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.92.0-5.mga9
+ Revision: 1818864
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.92.0-4.mga8
+ Revision: 1504934
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.92.0-3.mga7
+ Revision: 1284495
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.92.0-2.mga7
+ Revision: 1165091
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 0.92.0-1.mga7
+ Revision: 1158024
- update to 0.092.0

* Sun Jun 19 2016 pterjan <pterjan> 0.91.6-3.mga6
+ Revision: 1029126
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.91.6-2.mga6
+ Revision: 965735
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 sander85 <sander85> 0.91.6-1.mga6
+ Revision: 837069
- update to 0.091.6

* Sun Oct 19 2014 umeabot <umeabot> 0.91.5-4.mga5
+ Revision: 788897
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.91.5-3.mga5
+ Revision: 745880
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.91.5-2.mga5
+ Revision: 685190
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 0.91.5-1.mga5
+ Revision: 614840
- update to 0.091.5

* Tue Mar 25 2014 jquelin <jquelin> 0.91.2-1.mga5
+ Revision: 608380
- update to 0.091.2

* Fri Oct 18 2013 umeabot <umeabot> 0.80.0-3.mga4
+ Revision: 512545
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 368930
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 jquelin <jquelin> 0.80.0-1.mga3
+ Revision: 301269
- update to 0.08

* Thu Sep 27 2012 jquelin <jquelin> 0.70.0-1.mga3
+ Revision: 298700
- update to 0.07

* Mon Sep 17 2012 jquelin <jquelin> 0.60.0-1.mga3
+ Revision: 295215
- update to 0.06

* Fri Jan 21 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 28609
- mageia rebuild
- imported package perl-LaTeX-Encode

